Bug 285661 - Crash on `Print...'
Crash on `Print...'
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: galeon (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-11 03:24 EDT by Jan Kratochvil
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-19 13:37:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 460235 None None None Never

  None (edit)
Description Jan Kratochvil 2007-09-11 03:24:12 EDT
Description of problem:
Whenever I click `File->Print' or the webpage wants to open the print dialog it
crashes.

Version-Release number of selected component (if applicable):
galeon-2.0.3-11.fc8.x86_64
firefox-2.0.0.6-6.fc8.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Open URL: https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora
2. Click `File->Print...'.

Actual results:
Bug-buddy.

Expected results:
Opened print dialog.

Additional info:
(gdb) bt
#0  print_printer_combo_cb (widget=<value optimized out>, dialog=0x17c6ae0) at
print-dialog.c:678
#1  0x00002aaaaf379169 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#2  0x00002aaaaf388a81 in gtk_widget_grab_focus () from /lib64/libgobject-2.0.so.0
#3  0x00002aaaaf389ed4 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#4  0x00002aaaaf38a0a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#5  0x00002aaaad7e1733 in gtk_widget_grab_focus () from
/usr/lib64/libgtk-x11-2.0.so.0
#6  0x00002aaaaf379169 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#7  0x00002aaaaf388a81 in gtk_widget_grab_focus () from /lib64/libgobject-2.0.so.0
#8  0x00002aaaaf389ed4 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#9  0x00002aaaaf38a0a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#10 0x00002aaaad881bfd in gtk_list_store_remove () from
/usr/lib64/libgtk-x11-2.0.so.0
#11 0x00002aaaad7dfd75 in gtk_combo_box_remove_text () from
/usr/lib64/libgtk-x11-2.0.so.0
#12 0x0000000000475171 in impl_show (dialog=<value optimized out>) at
print-dialog.c:371
#13 0x00000000004d7a59 in impl_run (dialog=0x0) at galeon-dialog.c:856
#14 0x0000000000496d1d in GPrintingPromptService::ShowPrintDialog (this=<value
optimized out>, parent=<value optimized out>, 
    webBrowserPrint=<value optimized out>, printSettings=0x2050900) at
PrintingPromptService.cpp:63
#15 0x00002aaabae07829 in nsPrintEngine::Print (this=0x1ce8ac0,
aPrintSettings=<value optimized out>, 
    aWebProgressListener=<value optimized out>) at nsPrintEngine.cpp:749
#16 0x00002aaabad2ba25 in DocumentViewerImpl::Print (this=0x1ce7440,
aPrintSettings=0x2050900, aWebProgressListener=0x0)
    at nsDocumentViewer.cpp:3491
#17 0x00002aaabad2958e in DocumentViewerImpl::LoadComplete (this=0x1ce7440,
aStatus=<value optimized out>) at nsDocumentViewer.cpp:1067
#18 0x00002aaabcebd194 in nsDocShell::EndPageLoad (this=0x1922800,
aProgress=<value optimized out>, aChannel=0x1c21f78, aStatus=0)
    at nsDocShell.cpp:4804
#19 0x00002aaabced0565 in nsWebShell::EndPageLoad (this=0x1922800,
aProgress=0x1922828, channel=0x1c21f78, aStatus=0)
    at nsWebShell.cpp:660
#20 0x00002aaabcec50e7 in nsDocShell::OnStateChange (this=0x1922800,
aProgress=0x1922828, aRequest=0x1c21f78, 
    aStateFlags=<value optimized out>, aStatus=0) at nsDocShell.cpp:4719
#21 0x00002aaabced8edf in nsDocLoader::FireOnStateChange (this=0x1922800,
aProgress=0x1922828, aRequest=0x1c21f78, aStateFlags=131088, 
    aStatus=0) at nsDocLoader.cpp:1210
#22 0x00002aaabced8f69 in nsDocLoader::doStopDocumentLoad (this=0x0,
request=0x1dac400, aStatus=0) at nsDocLoader.cpp:833
#23 0x00002aaabced94d4 in nsDocLoader::DocLoaderIsEmpty (this=0x1922800) at
nsDocLoader.cpp:739
#24 0x00002aaabceda2a4 in nsDocLoader::OnStopRequest (this=0x1922800,
aRequest=0x2050810, aCtxt=<value optimized out>, aStatus=0)
    at nsDocLoader.cpp:662
#25 0x00002aaabfbc1d69 in nsLoadGroup::RemoveRequest (this=0x1922040,
request=0x2050810, ctxt=0x0, aStatus=0) at nsLoadGroup.cpp:732
#26 0x00002aaabad3753d in PresShell::RemoveDummyLayoutRequest (this=0x1d70ae0)
at nsPresShell.cpp:7190
#27 0x00002aaabad42c79 in DummyLayoutRequestEvent::HandleEvent (this=<value
optimized out>) at nsPresShell.cpp:7089
#28 0x00002aaabad3755b in HandleDummyLayoutRequestPLEvent (aEvent=0x0) at
nsPresShell.cpp:7098
#29 0x00002aaaafdf9ac5 in PL_HandleEvent (self=0x0) at plevent.c:688
#30 0x00002aaaafdf9cd7 in PL_ProcessPendingEvents (self=0x7fede0) at plevent.c:623
#31 0x00002aaaafdfafc8 in nsEventQueueImpl::ProcessPendingEvents (this=0x7fed60)
at nsEventQueue.cpp:448
#32 0x00002aaac2380d92 in event_processor_callback (source=<value optimized
out>, condition=4294967295, data=0x0) at nsAppShell.cpp:67
#33 0x00002aaaaf5ddf13 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#34 0x00002aaaaf5e120d in gtk_widget_grab_focus () from /lib64/libglib-2.0.so.0
#35 0x00002aaaaf5e151a in g_main_loop_run () from /lib64/libglib-2.0.so.0
#36 0x00002aaaad0b1e16 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#37 0x000000000044018d in main (argc=<value optimized out>, argv=0x27) at
galeon-main.c:284
(gdb) x/20i $rip
0x47442b <print_printer_combo_cb+107>:  mov    0x10(%rax),%esi
0x47442e <print_printer_combo_cb+110>:  mov    %r14,%rdi
0x474431 <print_printer_combo_cb+113>:  mov    %rax,%r15
0x474434 <print_printer_combo_cb+116>:  callq  0x43e8e0
<gtk_widget_set_sensitive@plt>
0x474439 <print_printer_combo_cb+121>:  mov    %rbx,%rdi
0x47443c <print_printer_combo_cb+124>:  mov    $0x5,%esi
0x474441 <print_printer_combo_cb+129>:  callq  0x4d6c80 <galeon_dialog_get_control>
0x474446 <print_printer_combo_cb+134>:  mov    %rbp,%rsi
0x474449 <print_printer_combo_cb+137>:  mov    %rax,%rdi
0x47444c <print_printer_combo_cb+140>:  mov    %rax,%r14
0x47444f <print_printer_combo_cb+143>:  callq  0x439bc0
<g_type_check_instance_cast@plt>
0x474454 <print_printer_combo_cb+148>:  mov    %rax,%rdi
0x474457 <print_printer_combo_cb+151>:  callq  0x43b0f0
<gtk_combo_box_get_model@plt>
0x47445c <print_printer_combo_cb+156>:  mov    %rax,%rbx
0x47445f <print_printer_combo_cb+159>:  callq  0x43b680
<gtk_list_store_get_type@plt>
0x474464 <print_printer_combo_cb+164>:  mov    %rbx,%rdi
0x474467 <print_printer_combo_cb+167>:  mov    %rax,%rsi
0x47446a <print_printer_combo_cb+170>:  callq  0x439bc0
<g_type_check_instance_cast@plt>
0x47446f <print_printer_combo_cb+175>:  mov    %rax,%rdi
0x474472 <print_printer_combo_cb+178>:  callq  0x43ac90 <gtk_list_store_clear@plt>
(gdb) p/x $rax
$3 = 0x0
Comment 1 Denis Leroy 2007-09-11 07:51:06 EDT
Also reproducable on i386. Working on it.
Comment 2 Denis Leroy 2007-09-19 13:37:35 EDT
Fixed. See upstream bug for details. Just got built for F-8.

Note You need to log in before you can comment on or make changes to this bug.